#pragma once
#include "TcDef.h"
#include "TcServices.h"
#include "Ads.h"
#include "AdsLog.h"
#include "TcBaseInterfaces.h"
#include<string>
#include<vector>
#include<map>
#include<time.h>
#include"DeviceFFU.h"
#include"DeviceTypeEnum.h"
using namespace std;

class DeviceManager
{
public:
	DeviceManager();
	~DeviceManager();
	bool InsterFFU(DeviceFFU ffu);
	bool Clear();
	DeviceTypeEnum GetDeviceType(string devicename);
	DeviceFFU GetFFU(string deviceName);
private:
	map<string, DeviceFFU> _FFU;
	map<string, DeviceTypeEnum> _DeviceTypes;
};

