#pragma once
#include "Ads.h"
#include "AdsLog.h"
#include "TcBaseInterfaces.h"
#include<string>
#include<vector>
#include<map>
#include<time.h>
#include "Step_Parameter.h"
#include "IO_Boat_SetParameter.h"
#include "IO_MFC_SetParameter.h"
#include "IO_APC_SetParameter.h"
#include "IO_Valve_SetParameter.h"
#include "IO_AUX_SetParameter.h"
#include "IO_Heater_SetParameter.h"

using namespace std;

class CommandCollection
{
public:

    bool Enable ;
    int AlarmConditionTable;
    Step_Parameter Command;
    IO_Boat_SetParameter Boat;
    vector<IO_MFC_SetParameter> MFC ;
    vector<IO_APC_SetParameter> APC ;
    vector<IO_AUX_SetParameter> AUX ;
    vector<IO_Valve_SetParameter> Valve ;
    vector<IO_Heater_SetParameter> Heater ;
private:

};

